FFTW 3.3.2 released, gcc-4.7 and Windows fixes

303 views
Skip to first unread message

Matteo Frigo

unread,
May 6, 2012, 8:20:05 AM5/6/12
to fftw-announce
Dear FFTW users,

Version 3.3.2 of FFTW is now available from the FFTW web page
(www.fftw.org). This release fixes a few incompatibilities with
various systems and
compilers (see below). If the previous version 3.3.1 works for you,
there is no compelling
reason to upgrade to 3.3.2.

Regards,
Matteo Frigo

Changes since 3.3.1:

* Removed an archaic stack-alignment hack that was failing with
gcc-4.7/i386.

* Added stack-alignment hack necessary for gcc on Windows/i386. We
will regret this in ten years (see previous change).

* Fix incompatibility with Intel icc which pretends to be gcc
but does not support quad precision.

* make libfftw{threads,mpi} depend upon libfftw when using libtool;
this is consistent with most other libraries and simplifies the life
of various distributors of GNU/Linux.
Reply all
Reply to author
Forward
0 new messages